Bug 602967 - ksu with pam occasionally fails
Summary: ksu with pam occasionally fails
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5 (Show other bugs)
(Show other bugs)
Version: 5.5
Hardware: All Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Nalin Dahyabhai
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords: ZStream
Depends On: 596887
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-11 06:57 UTC by RHEL Product and Program Management
Modified: 2018-10-27 11:21 UTC (History)
9 users (show)

Fixed In Version: krb5-1.6.1-36.el5_5.5
Doc Type: Bug Fix
Doc Text:
ksu used to perform PAM account and session management for the target user after switching to the privileges of the target user. As a result, if that user did not have sufficient privileges, some modules would not function properly.This update performs PAM account and session management before assuming the privileges of the target user.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 07:50:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0560 normal SHIPPED_LIVE krb5 bug fix update 2010-07-26 07:50:47 UTC

Description RHEL Product and Program Management 2010-06-11 06:57:24 UTC
This bug has been copied from bug #596887 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 6 Florian Nadge 2010-07-23 20:27:11 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
ksu used to perform PAM account and session management for the target user after switching to the privileges of the target user. As a result, if that user did not have sufficient privileges, some modules would not function properly.This update performs PAM account and session management before assuming the privileges of the target user.

Comment 7 errata-xmlrpc 2010-07-26 07:50:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0560.html


Note You need to log in before you can comment on or make changes to this bug.